import Plugin from '../Plugin';
export declare class Provider {
    protected plugin: Plugin;
    protected options: any;
    constructor(plugin: Plugin, options: any);
    send(receiver: string, data: {
        [key: string]: any;
    }): Promise<any>;
}
